package kr.co.icontrols.iotplatform.utils;

import android.app.Activity;
import android.app.Dialog;
import android.content.Context;
import android.os.Bundle;
import android.view.View;
import android.view.Window;
import android.view.WindowManager;
import android.widget.Button;
import android.widget.EditText;
import android.widget.ImageButton;
import android.widget.ImageView;
import android.widget.LinearLayout;
import android.widget.RelativeLayout;
import android.widget.TextView;

import androidx.annotation.NonNull;

import kr.co.icontrols.iotplatform.MainActivity;
import kr.co.icontrols.iotplatform.R;

public class CustomDialog {

    private Context activity;

    public final static int MORE_SMART_LIGHT = 0;

    public CustomDialog(Activity activity) {
        this.activity = activity;
    }

    // 호출할 다이얼로그 함수를 정의한다.
    public void callFunction(int mode) {

        // 커스텀 다이얼로그를 정의하기위해 Dialog클래스를 생성한다.
        final Dialog dlg = new Dialog(activity);

        // 액티비티의 타이틀바를 숨긴다.
        dlg.requestWindowFeature(Window.FEATURE_NO_TITLE);

        // 커스텀 다이얼로그의 레이아웃을 설정한다.
        dlg.setContentView(R.layout.custom_dialog_more);

        // 커스텀 다이얼로그를 노출한다.
        dlg.show();

        // 커스텀 다이얼로그의 각 위젯들을 정의한다.
        final LinearLayout layoutAdd = dlg.findViewById(R.id.layoutAdd);
        final LinearLayout layoutDelete = dlg.findViewById(R.id.layoutDelete);
        final LinearLayout layoutRank = dlg.findViewById(R.id.layoutRank);

        final TextView txtTitle = dlg.findViewById(R.id.txtTitle);
        final TextView txtAdd = dlg.findViewById(R.id.txtAdd);
        final TextView txtRank = dlg.findViewById(R.id.txtRank);
        final TextView txtDelete = dlg.findViewById(R.id.txtDelete);

        final ImageView imgAdd = dlg.findViewById(R.id.imgAdd);
        final ImageView imgRank = dlg.findViewById(R.id.imgRank);
        final ImageView imgDelete = dlg.findViewById(R.id.imgDelete);

        final ImageButton btnCloseMore = dlg.findViewById(R.id.btnCloseMore);

        btnCloseMore.setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View v) {
                // 커스텀 다이얼로그를 종료한다.
                dlg.dismiss();
            }
        });

        switch (mode) {
            case MORE_SMART_LIGHT:
                txtTitle.setText("스마트 조명 홈관리");
                txtAdd.setText("홈에 조명 추가");
                txtRank.setText("스마트 조명 순서");
                txtDelete.setText("스마트 조명 삭제");

                imgAdd.setImageResource(R.drawable.ico_home_set_add);
                imgRank.setImageResource(R.drawable.ico_home_set_order);
                imgDelete.setImageResource(R.drawable.ico_home_set_del);
                break;
        }

        /*
        okButton.setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View view) {
                // '확인' 버튼 클릭시 메인 액티비티에서 설정한 main_label에
                // 커스텀 다이얼로그에서 입력한 메시지를 대입한다.
                main_label.setText(message.getText().toString());
                Toast.makeText(context, "\"" +  message.getText().toString() + "\" 을 입력하였습니다.", Toast.LENGTH_SHORT).show();

                // 커스텀 다이얼로그를 종료한다.
                dlg.dismiss();
            }
        });
        cancelButton.setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View view) {
                Toast.makeText(context, "취소 했습니다.", Toast.LENGTH_SHORT).show();

                // 커스텀 다이얼로그를 종료한다.
                dlg.dismiss();
            }
        });
         */
    }
}
